WFS 1.0.0 GetFeature requests from QGIS include a crsuri component in the BBOX parameter

2016-08-19 10:04 AM - First Name

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Web Services clients/WFS

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23390

Description

QGIS adds a crsuri component to WFS 1.0.0 GetFeature requests, e.g. &BBOX=-71.00,42.00,-72.00,43.00,EPSG:4326

This is an optional component of the BBOX parameter in WFS 1.1.0 but is not documented anywhere in the WFS 1.0.0 specification and

causes errors to be returned from older WFS servers.  If an error is returned, QGIS then falls back to a GetFeature request with no BBOX

parameter and requests all available features from the server, rendering the 'Only request features overlapping the view extent' option

ineffective.

QGIS should not add this component to the BBOX parameter for a WFS 1.0.0 GetFeature request.

Related issues:

Duplicated by QGIS Application - Bug report # 17977: QGIS server 2.99 doesn't... Closed 2018-01-26

Associated revisions

Revision 1ebd5a45 - 2016-10-06 07:09 PM - Even Rouault

[WFS provider] Do not append crs at end of BBOX in WFS 1.0

Fixes #15464

Revision a9850ae0 - 2016-10-06 07:11 PM - Even Rouault

[WFS provider] Do not append crs at end of BBOX in WFS 1.0

Fixes #15464

Revision eba8c5d9 - 2016-10-06 07:17 PM - Even Rouault

[WFS provider] Do not append crs at end of BBOX in WFS 1.0

Fixes #15464

History

#1 - 2016-09-20 12:46 AM - Even Rouault

- Assignee set to Even Rouault
#2 - 2016-10-06 10:11 AM - Even Rouault

- Status changed from Open to Closed

Fixed in changeset commit:"1ebd5a454d9e580bbf04d42d619bdfd95ee07260".

#3 - 2016-10-06 10:22 AM - Even Rouault

- Target version set to Version 2.16

#4 - 2018-01-30 03:05 PM - Alessandro Pasotti

- Duplicated by Bug report #17977: QGIS server 2.99 doesn't handles BBOX parameter on WFS request added
